Class: Aws::Route53::Types::ListTrafficPolicyVersionsRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::Route53::Types::ListTrafficPolicyVersionsRequest
- Defined in:
- gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb
Overview
A complex type that contains the information about the request to list your traffic policies.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#id ⇒ String
Specify the value of
Idof the traffic policy for which you want to list all versions. -
#max_items ⇒ Integer
The maximum number of traffic policy versions that you want Amazon Route 53 to include in the response body for this request.
-
#traffic_policy_version_marker ⇒ String
For your first request to
ListTrafficPolicyVersions, don't include theTrafficPolicyVersionMarkerparameter.
Instance Attribute Details
#id ⇒ String
Specify the value of Id of the traffic policy for which you want
to list all versions.
5985 5986 5987 5988 5989 5990 5991 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5985 class ListTrafficPolicyVersionsRequest < Struct.new( :id, :traffic_policy_version_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#max_items ⇒ Integer
The maximum number of traffic policy versions that you want Amazon
Route 53 to include in the response body for this request. If the
specified traffic policy has more than MaxItems versions, the
value of IsTruncated in the response is true, and the value of
the TrafficPolicyVersionMarker element is the ID of the first
version that Route 53 will return if you submit another request.
5985 5986 5987 5988 5989 5990 5991 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5985 class ListTrafficPolicyVersionsRequest < Struct.new( :id, :traffic_policy_version_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#traffic_policy_version_marker ⇒ String
For your first request to ListTrafficPolicyVersions, don't
include the TrafficPolicyVersionMarker parameter.
If you have more traffic policy versions than the value of
MaxItems, ListTrafficPolicyVersions returns only the first group
of MaxItems versions. To get more traffic policy versions, submit
another ListTrafficPolicyVersions request. For the value of
TrafficPolicyVersionMarker, specify the value of
TrafficPolicyVersionMarker in the previous response.
5985 5986 5987 5988 5989 5990 5991 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5985 class ListTrafficPolicyVersionsRequest < Struct.new( :id, :traffic_policy_version_marker, :max_items) SENSITIVE = [] include Aws::Structure end |